<app-common-header name='Register a signature' btnBackLink=""></app-common-header>

<ion-content>
    <div *ngIf="!isDone">
        <p *ngIf="!isLandscape">Draw your signature here:</p>
        <div class='sigpad' id="sigpad">
            <!-- <signature-pad class="pad" [options]="signaturePadOptions" (onBeginEvent)="drawStart()"
                (onEndEvent)="drawComplete()">
            </signature-pad> -->
            <canvas id="signature-pad"></canvas>
        </div>
        <div class="btnPad">
            <div class="btn" tappable (click)="onClear()">Clear</div>
            <div class="btn" tappable (click)="onDone()">Done</div>
        </div>
        <p>or select a signature image (SVG only)</p>
        <div class='btnPad' *ngIf="onChooser">
            <div class="btn" tappable (click)="browseFile()">Browse...</div>
        </div>
        <div class='btnPad' *ngIf="!onChooser">
            <label for="browseSigImg">
                <div class="btn" tappable>
                    Browse..
                </div>
            </label>
            <input type="file" id="browseSigImg" class="browse" (change)="onFile($event.target.files)">
        </div>
    </div>

    <div *ngIf="isDone">
        <div class="sigimg">
            <p>Your signature:</p>
            <!-- <img [src]="bypassSecurityTrustUrl(signatureImg)" /> -->
            <canvas id="signature-img" style="border: solid 1px black;"></canvas>
        </div>
        <div *ngIf="!isProcessing" class="btnPad">
            <ion-button (click)="onBack()">
                < Back</ion-button> <ion-button (click)="onConfirm()">Next >
            </ion-button>
        </div>
        <div *ngIf="isProcessing" class="loading">
            <ion-spinner name="dots" color="primary"></ion-spinner>
        </div>
    </div>
</ion-content>